/*====================================
common
====================================*/
html {
  font-size: 62.5%;
}

body {
  font-size: 1.4rem;
  line-height: 1.857;
  font-family: 'Noto Serif JP', serif;
}

body.nav-open {
  overflow: hidden;
}

:root {
  /* ========== text ========== */
  --white: rgba(255, 255, 255, 0.9);
  --text-white: #e4e4e4;
  --text-black: #323232;
  /* ========== button ========== */
  --contact-btn: rgba(135, 122, 122, 1);
  /* ========== bg ========== */
  --bg-about: #dededa;
  --bg-service: #f2efef;
  --bg-instructor: #cec5c0;
  --bg-works: #5e5454;
  --bg-contact: var(--bg-service);
  --bg-footer: var(--bg-works);
  --bg-form-area: #f4f4f4;
  /* ========== line ========== */
  --line-white: #e4e4e4;
  --line-black: #323232;
  --line-gray: rgba(94, 84, 84, 0.3);
  --line-form-area: #b5afac;
}

img {
  display: block;
  max-width: 100%;
  height: auto;
}
.container {
  max-width: 900px;
  margin: 0 auto;
}

.section {
  padding: 20px;
}
.mv.section {
  padding: 0;
}

.br-pc {
  display: none;
}

@media (min-width: 768px) {
  .br-pc {
    display: inline;
  }
  .section {
    padding: 60px 0;
  }
  .mv.section {
    padding: 0;
  }
}

/*====================================
common animation アニメーション
====================================*/

@keyframes fadeDown {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

/*====================================
common title
====================================*/

.section-title {
  position: relative;
  padding-left: 14px;
  margin-bottom: 60px;
}
.instructor .section-title--right {
  margin-bottom: 0px;
}

@media (min-width: 768px) {
  .instructor .section-title--right {
    margin-bottom: 60px;
  }
}
.section-title::before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 2px;
  height: 100%;
  background-color: var(--text-black);
}
/* ========== modifier ========== */
.section-title--right {
  padding-left: 0;
  padding-right: 14px;
}
/* ========== modifier ========== */
.section-title--right::before {
  left: auto;
  right: 0;
}
/* ========== modifier ========== */
.section-title__num--right {
  display: block;
  text-align: right;
}

@media (min-width: 768px) {
  .section-title__num--right {
    display: block;
    text-align: right;
    padding-right: 16px;
  }
}

.section-title__text {
  display: flex;
  flex-direction: column;
}
.section-title__en {
  font-size: 2.4rem;
  line-height: 1;
}

.section-title__jp {
  font-size: 1rem;
  margin-bottom: 18px;
}

/*====================================
common header
====================================*/
.header {
  padding: 40px 20px 40px 20px;
}

.header__inner {
  display: flex;
  justify-content: space-between;
}

.header__logo {
  width: 142px;
  z-index: 300;
  animation: fadeDown 1.5s ease-out forwards;
}

.header__logo a {
  display: block;
}

.logo {
  fill: var(--text-white);
}

.header__btn {
  display: flex;
  flex-direction: column;
  justify-content: center;
  width: 50px;
  gap: 7px;
  cursor: pointer;
  background: none;
  border: none;
  padding: 0;
  z-index: 300;
  animation: fadeDown 1.5s ease-out forwards;
}

.header__btn span {
  display: block;
  height: 1px;
  width: 100%;
  background-color: var(--white);
  transition:
    transform 0.6s ease,
    opacity 0.6s ease;
}

.header__btn.is-open span:nth-of-type(1) {
  transform: translateY(8px) rotate(30deg);
}

.header__btn.is-open span:nth-of-type(2) {
  opacity: 0;
}
.header__btn.is-open span:nth-of-type(3) {
  transform: translateY(-8px) rotate(-30deg);
}

/*====================================
common text-btn
====================================*/

.text-btn {
  display: flex;
  width: fit-content;
  margin: 60px 0 24px auto;
  gap: 66px;
  padding-bottom: 5px;
  border-bottom: 1px solid var(--text-black);
}

.text-btn--left {
  margin: 60px auto 24px 0;
}

/*====================================
common nav 初期状態
====================================*/
.nav {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  padding: 50px 20px;
  background-color: rgba(69, 62, 62, 0.9);
  transform: translateX(-100%);
  transition: transform 0.8s;
  z-index: 200;
}

/*====================================
common nav アクティブ
====================================*/
.nav.active {
  transform: translateX(0);
}
.nav__list {
  padding: 100px 38px;
  color: var(--text-white);
}
.nav__item {
  margin-bottom: 15px;
}
.nav__link {
  display: flex;
  align-items: baseline;
  padding: 5px 0;
}
.nav__num {
  font-size: 1.2rem;
  margin-right: 10px;
}
.nav__en {
  display: flex;
  flex: 1;
  align-items: flex-end;
  font-size: 2rem;
}
.nav__en::after {
  content: '';
  flex: 1;
  height: 1px;
  background-color: var(--text-white);
  margin: 0 10px 8px;
  opacity: 0.3;
}
.nav__jp {
  font-size: 1.2rem;
}
/*====================================
common nav pc
====================================*/
@media (min-width: 768px) {
  .nav {
    position: static;
    top: auto;
    display: flex;
    justify-content: center;
    background: none;
    width: auto;
    height: auto;
    padding: 0;
    transform: none;
  }

  .nav__list {
    display: flex;
    padding: 0;
    animation: fadeDown 1.5s ease-out forwards;
    color: var(--text-black);
  }
  .nav__item {
    margin: 0;
    border-right: 1px solid var(--line-white);
    line-height: 1;
  }

  .nav__item:last-child {
    border-right: none;
  }
  .nav__num {
    display: none;
  }
  .nav__en {
    font-size: 1.6rem;
  }

  .nav__jp {
    display: none;
  }

  .nav__link {
    padding: 0 26px;
  }

  .nav__en::after {
    content: none;
  }
}

/*====================================
common footer
====================================*/

.footer {
  padding: 50px 0 20px 0;
  text-align: center;
  color: var(--text-white);
  background-color: var(--bg-footer);
}
